/*
 * Copyright 2017 by Kappich Systemberatung Aachen
 *
 * This file is part of de.kappich.pat.gnd.
 *
 * de.kappich.pat.gnd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.kappich.pat.gnd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.kappich.pat.gnd.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.kappich.pat.gnd.properties;

/**
 * Die Klasse AbstractProperty gibt für die Implementationen von {@link Property} einige
 * Methoden vor.
 *
 * @author Kappich Systemberatung
 * @version $Revision$
 */
public abstract class AbstractProperty implements Property {
	private final String _name;

	AbstractProperty(final String name) {
		_name = name;
	}

	@Override
	public final String getName() {
		return _name;
	}

	@Override
	public final boolean equals(Object o) {
		if ( !(o instanceof Property)) {
			return false;
		}
		Property p = (Property) o;
		return getName().equals(p.getName());
	}

	@Override
	public final int hashCode() {
		return _name.hashCode();
	}

	@Override
	public final String toString() {
		return _name;
	}

}
